{ pkgs, ... }:

{
  users.users.august = {
    isNormalUser = true;
    createHome = false;
    packages = [ pkgs.borgbackup ];
  };
  services.openssh.extraConfig = ''
    Match User august
      AllowUsers august
      PermitEmptyPasswords yes
  '';
  sops.secrets."users/august/publicKey" = {
    path = "/etc/ssh/authorized_keys.d/august";
    mode = "444";
  };
  fileSystems = {
    "/home/august/Videos" = {
      device = "/mnt/WD/Videos/";
      options = [
        "nofail"
        "bind"
        "x-systemd.automount"
      ];
      neededForBoot = false;
    };
    "/home/august/Backups" = {
      device = "/mnt/WD/august/Backups";
      options = [
        "nofail"
        "bind"
        "x-systemd.automount"
      ];
      neededForBoot = false;
    };
  };
}
